/* 
 * Copyright (c) 2012, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 * $id$
 */

package com.sun.ts.tests.jaxrs.spec.resourceconstructor;

import javax.ws.rs.CookieParam;
import javax.ws.rs.GET;
import javax.ws.rs.Path;

@Path("resource/cookie")
public class CookieResource {
	String param;

	public CookieResource(@CookieParam("param") String param) {
		this.param = param;
	}

	@GET
	public String get() {
		return param;
	}
}
